# $Revision: 1.10 $, $Date: 2002/04/25 11:53:24 $
%define		dictname wn
Summary:	WordNet lexical reference system formatted as dictionary for dictd
Summary(pl):	System referencji sownikowych WordNet dla dictd
Name:		dict-wn
Version:	1.5
Release:	3
License:	Free to use, but see http://www.cogsci.princeton.edu/~wn/
Group:		Applications/Dictionaries
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
URL:		http://www.dict.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	dictzip
BuildRequires:	autoconf
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description
This package contains WordNet (r) 1.6 Lexical Database formatted for
use by the dictionary server in the dictd package.

%description -l pl
Ten pakiet zawiera leksykaln baz danych WordNet sformatowan do
uywania z serwerem sownika dictd.

%prep
%setup -q

%build
autoconf
%configure
%{__make} db

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd/,%{_sysconfdir}/dictd}
%{__make} install dictdir="$RPM_BUILD_ROOT%{_datadir}/dictd/"

dictprefix=%{_datadir}/dictd/wn
echo "# WordNet 1.6 Lexical Database dictionary
database %{dictname} {
    data  \"$dictprefix.dict.dz\"
    index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dict-wn.spec,v $
Revision 1.10  2002/04/25 11:53:24  kloczek
- release 3.

Revision 1.9  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/21 14:52:37  qboosh
- pl translations

Revision 1.5  2001/10/23 15:30:14  undefine
- ac stuff (STBR all dict*)

Revision 1.4  2001/07/26 02:57:29  agaran
changed group (Dictionary => Dictionaries)

Revision 1.3  2000/08/14 09:19:14  mis
- /etc/dictd is used instead of modify /etc/dictd.conf in %post
- release 2

Revision 1.1  2000/07/20 09:15:05  mis
- initial version
